require 'time'

# Extension of DateTime class overriding to_json
# method to provide valid ISO8601 value.
# @private
class DateTime
  def to_json(*)
    return "\"#{to_time.utc.iso8601(3)}\""
  end
end
