module UU
  module OS
    module Env

      # Exception thrown in case lock was not created in given timeout.
      class LockCreationTimeoutException < StandardError

        # Creates new instance of LockCreationTimeoutException.
        #
        # @param [String] msg Exception message.
        def initialize(msg = nil)
          super(msg)
          @code = 'UU.OS/E05Q03.M02'
        end

      end

    end
  end
end
